#pragma once
#include "MicroBehaviour.h"

class MarineMicroBehaviour : public MicroBehaviour {
public:
	MarineMicroBehaviour( UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();
	BWAPI::Position bestPointClosestTo(BWAPI::Position p, int r);
private:
	BWAPI::Position targetPosition;
	UnitManager* unitManager;

protected:


};